Suites and casesCreate a test case

Create a test case

Create a case in a suite with the appropriate project write role.

curl -X POST "https://app.aegisrunner.com/api/v1/suites/123e4567-e89b-12d3-a456-426614174000/cases" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "name": "John Doe",
  "description": "example_string",
  "priority": "low",
  "tags": [
    "example_string"
  ],
  "steps": [
    {
      "type": "example_string",
      "selector": "example_string",
      "action": {},
      "assertions": [
        {}
      ]
    }
  ]
}'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "John Doe",
  "status": "example_string"
}
POST
/suites/{suiteId}/cases
POST
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. AegisRunner account session access token. Complete the supported sign-in, security verification, and two-factor flow as required.

Path Parameters

Body

application/json
prioritystring
Allowed values:lowmediumhighcritical
stepsarray

Responses

Create a case in a suite with the appropriate project write role. Steps can be supplied with the case; verify their targets and expected behavior before running it.

Authenticate with an account session as described in Project and testing API. Use resource IDs available to the same organization and project.

For unattended pipelines, use the separately authenticated CI endpoints.